All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
libviennacl_blas1.cpp File Reference
`#include <iostream>`
`#include <vector>`
`#include <cmath>`
`#include "viennacl.hpp"`
`#include "viennacl/vector.hpp"`

Go to the source code of this file.

## Functions

template<typename ScalarType >
ScalarType | diff (ScalarType const &s1, ScalarType const &s2)
template<typename ScalarType , typename ViennaCLVectorType >
ScalarType | diff (std::vector< ScalarType > const &v1, ViennaCLVectorType const &vcl_vec)
template<typename T , typename U , typename EpsilonT >
void | check (T const &t, U const &u, EpsilonT eps)
int | main ()

## Detailed Description

Testing the BLAS level 1 routines in the ViennaCL BLAS-like shared library

Test:
  Testing the BLAS level 1 routines in the ViennaCL BLAS-like shared library

Definition in file libviennacl_blas1.cpp.

## Function Documentation

template<typename T , typename U , typename EpsilonT >

void check | ( | T const & | t,
|  | U const & | u,
|  | EpsilonT | eps
| ) |  |

Examples:
  qr.cpp.

Definition at line 66 of file libviennacl_blas1.cpp.

template<typename ScalarType >

ScalarType diff | ( | ScalarType const & | s1,
|  | ScalarType const & | s2
| ) |  |

Definition at line 35 of file libviennacl_blas1.cpp.

template<typename ScalarType , typename ViennaCLVectorType >

ScalarType diff | ( | std::vector< ScalarType > const & | v1,
|  | ViennaCLVectorType const & | vcl_vec
| ) |  |

Definition at line 44 of file libviennacl_blas1.cpp.

int main | ( |  | ) |

Definition at line 78 of file libviennacl_blas1.cpp.